<template>
  <div v-if="!logoutSending">
    <h1>Successfully logged out!</h1>
  </div>
</template>

<script>
import axios from "axios"

export default {
  name: "logout",
  data() {
    return {
      logoutSending: true
    }
  },
  async mounted() {
    try {
      let result = await axios.delete(this.$baseApiUrl + "/auth")
      result.status === 200
        ? (this.logoutSending = false)
        : (this.logoutSending = false)
    } catch (error) {
      console.error(error)
    }
  }
}
</script>
